POST API/Vehicle/RemoveVehicleInfo
Request Information
URI Parameters
None.
Body Parameters
VehicleInfoM| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| vehicle_id | globally unique identifier |
None. |
|
| regNumber | string |
None. |
|
| mileage | integer |
None. |
|
| disabled | boolean |
None. |
|
| createDate | date |
None. |
|
| updateDate | date |
None. |
|
| updatePerson_id | globally unique identifier |
None. |
|
| disabledDate | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "3b1835a4-81ff-42b0-8c9f-1dcab21e3660",
"vehicle_id": "9d0cec51-cd9d-40a0-a184-00a94d1f12eb",
"regNumber": "sample string 2",
"mileage": 1,
"disabled": true,
"createDate": "2026-05-17T04:14:07.1856696+05:00",
"updateDate": "2026-05-17T04:14:07.1856696+05:00",
"updatePerson_id": "a326cf69-16a5-413e-b799-b8a0be5129fa",
"disabledDate": "2026-05-17T04:14:07.1856696+05:00"
}
application/xml, text/xml
Sample:
<VehicleInfoM xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/CarPark.Models.Basic"> <createDate>2026-05-17T04:14:07.1856696+05:00</createDate> <disabled>true</disabled> <disabledDate>2026-05-17T04:14:07.1856696+05:00</disabledDate> <id>3b1835a4-81ff-42b0-8c9f-1dcab21e3660</id> <mileage>1</mileage> <regNumber>sample string 2</regNumber> <updateDate>2026-05-17T04:14:07.1856696+05:00</updateDate> <updatePerson_id>a326cf69-16a5-413e-b799-b8a0be5129fa</updatePerson_id> <vehicle_id>9d0cec51-cd9d-40a0-a184-00a94d1f12eb</vehicle_id> </VehicleInfoM>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
stringResponse Formats
application/json, text/json
Sample:
"sample string 1"
application/xml, text/xml
Sample:
<string xmlns="http://schemas.microsoft.com/2003/10/Serialization/">sample string 1</string>